Bug 510488 - Upgrade from 10 to 11
Upgrade from 10 to 11
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
anaconda_trace_hash:26016dea9fdb1a5ea...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-09 09:15 EDT by rune_grysbaek
Modified: 2010-06-28 09:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:32:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (156.16 KB, text/plain)
2009-07-09 09:15 EDT, rune_grysbaek
no flags Details

  None (edit)
Description rune_grysbaek 2009-07-09 09:15:22 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.59 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/booty/util.py", line 4, in getDiskPart
    path = storage.devicetree.getDeviceByName(dev).path[5:]
  File "/usr/lib/anaconda/booty/bootloaderInfo.py", line 285, in setDevice
    (dev, part) = getDiskPart(device, self.storage)
  File "/usr/lib/anaconda/iw/upgrade_bootloader_gui.py", line 65, in getNext
    self.bl.setDevice(devicePathToName(self.bootDev))
  File "/usr/lib/anaconda/gui.py", line 1335, in nextClicked
    rc = self.currentWindow.getNext ()
AttributeError: 'NoneType' object has no attribute 'path'
Comment 1 rune_grysbaek 2009-07-09 09:15:30 EDT
Created attachment 351071 [details]
Attached traceback automatically from anaconda.
Comment 2 rune_grysbaek 2009-07-09 09:17:39 EDT
Did a system update before trying to upgrade to version 11
Comment 3 rune_grysbaek 2009-07-10 05:29:26 EDT
If I skip updating grub - the installations contiues
Comment 4 Chris Lumens 2009-07-17 15:49:44 EDT
Is sda part of a dmraid or mdraid set?
Comment 5 rune_grysbaek 2009-07-25 10:02:12 EDT
no sda is my laptops internal harddisk
sdb is an usb hardddisk
Comment 6 Bug Zapper 2010-04-27 11:34:40 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 09:32:32 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.